# Uses of Class
it.tdlight.jni.TdApi.LanguagePackString

## Uses of TdApi.LanguagePackString in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.LanguagePackString
Modifier and Type
Field
Description
`TdApi.LanguagePackString`
TdApi.SetCustomLanguagePackString.`newString`
New language pack string.
`TdApi.LanguagePackString[]`
TdApi.LanguagePackStrings.`strings`
A list of language pack strings.
`TdApi.LanguagePackString[]`
TdApi.SetCustomLanguagePack.`strings`
Strings of the new language pack.
`TdApi.LanguagePackString[]`
TdApi.UpdateLanguagePackStrings.`strings`
List of changed language pack strings.
Constructors in it.tdlight.jni with parameters of type TdApi.LanguagePackString
Modifier
Constructor
Description
``
`LanguagePackStrings(TdApi.LanguagePackString[] strings)`
Contains a list of language pack strings.
``
`SetCustomLanguagePack(TdApi.LanguagePackInfo info, TdApi.LanguagePackString[] strings)`
Adds or changes a custom local language pack to the current localization target.
``
`SetCustomLanguagePackString(String languagePackId, TdApi.LanguagePackString newString)`
Adds, edits or deletes a string in a custom local language pack.
``
`UpdateLanguagePackStrings(String localizationTarget, String languagePackId, TdApi.LanguagePackString[] strings)`
Some language pack strings have been updated.